RKGETYOMI(3)

NAME
RkGetYomi - get the reading of the current clause

SYNOPSIS
#include <canna/RK.h>
int RkGetYomi(cxnum, yomi, maxyomi)
int cxnum;
unsigned char *yomi;
int maxyomi;

DESCRIPTION
RkGetYomi gets the reading of the current clause and sets it in the area yomi. The resulting character string is truncated when its byte length exceeds maxyomi -1.

RETURN VALUE
This function returns the length of the reading of the current clause, or returns -1, without doing anything, if it has been run in a nonconversion mode context.